# std::filesystem::filesystem_error::filesystem_error

From cppreference.com
< cpp‎ | filesystem‎ | filesystem error

filesystem_error( const std::string & what_arg, std::error_code ec ); | (1) | (since C++17)
filesystem_error( const std::string & what_arg, const std::filesystem::path & p1, std::error_code ec ); | (2) | (since C++17)
filesystem_error( const std::string & what_arg, const std::filesystem::path & p1, const std::filesystem::path & p2, std::error_code ec ); | (3) | (since C++17)

Constructs a new filesystem error object. The error code is set to `ec` and optionally, the paths that were involved in the operation that resulted in the error, are set to `p1` and `p2`. `what()` after construction returns a string that contains `what_arg`.

### Parameters

| This section is incomplete

### Example

| This section is incomplete Reason: no example

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/filesystem/filesystem_error/filesystem_error&oldid=105035"